##################################################################
# Makefile for building GNU's MP library
#
#	$ rdi make -f rdi-build.mk install product=sdnet
#
##################################################################

include $(RDI_MAKEROOT)/top.mk
include $(RDI_MAKEROOT)/platform.mk

ifeq ($(RDI_PLATFORM), lnx64)
 ARCH			:= $(RDI_PLATFORM).o
 BASE_DIR		:= $(RDI_SRCROOT)/products/sdnet/p4c-sdnet/tps
 BUILD_DIR		:= $(BASE_DIR)/build

 GMP_VERSION	:= gmp-5.1.3
 GMP_DIR		:= $(BASE_DIR)/gmp
 CONFIG_FLAGS	:= --prefix=$(GMP_DIR)/rdi/$(ARCH) --enable-cxx

 _gmp_install:
	mkdir -p $(BUILD_DIR)
	tar -xf $(GMP_DIR)/src/$(GMP_VERSION).tar.gz -C $(BUILD_DIR)
	cd $(BUILD_DIR)/$(GMP_VERSION) ; \
	./configure $(CONFIG_FLAGS) ; make ; make install
	
 _gmp_cleanup:
	rm -rf $(BUILD_DIR)

endif

install: _gmp_install _gmp_cleanup

include $(RDI_MAKEROOT)/bottom.mk

